diff -urN dtmfdial_0.2/CONTROL/control dtmfdial_0.2-rjr2/CONTROL/control
--- dtmfdial_0.2/CONTROL/control	Fri Jan 18 15:40:16 2002
+++ dtmfdial_0.2-rjr2/CONTROL/control	Sun Jan 27 16:40:07 2002
@@ -1,7 +1,7 @@
 Package: dtmfdial
 Priority: optional
-Version: 0.2
+Version: 0.2-rjr2
 Architecture: arm
 Maintainer: Ross Reedstrom <reedstrm@rice.edu>
-Depends: libc6
-Description: A DTMF tone dialer, with defaults tweaked for use on the Ipaq
+Depends: libc6, python
+Description: A command line DTMF tone dialer, with defaults tweaked for use on the Ipaq, and a python-gtk graphical interface 
diff -urN dtmfdial_0.2/CONTROL/postinst dtmfdial_0.2-rjr2/CONTROL/postinst
--- dtmfdial_0.2/CONTROL/postinst	Wed Dec 31 19:00:00 1969
+++ dtmfdial_0.2-rjr2/CONTROL/postinst	Tue Jan 22 18:55:13 2002
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -e
+[ -x /usr/bin/update-menus ] && /usr/bin/update-menus
diff -urN dtmfdial_0.2/CONTROL/postrm dtmfdial_0.2-rjr2/CONTROL/postrm
--- dtmfdial_0.2/CONTROL/postrm	Wed Dec 31 19:00:00 1969
+++ dtmfdial_0.2-rjr2/CONTROL/postrm	Tue Jan 22 18:55:13 2002
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -e
+[ -x /usr/bin/update-menus ] && /usr/bin/update-menus
diff -urN dtmfdial_0.2/usr/X11R6/bin/xdial dtmfdial_0.2-rjr2/usr/X11R6/bin/xdial
--- dtmfdial_0.2/usr/X11R6/bin/xdial	Wed Dec 31 19:00:00 1969
+++ dtmfdial_0.2-rjr2/usr/X11R6/bin/xdial	Sun Jan 27 16:37:20 2002
@@ -0,0 +1,76 @@
+#!/usr/bin/env python
+"""
+xdial - dtmfdial front-end
+
+Copyright (C) 2002 Russ Nelson
+
+This program is free software; you can redistribute it and/or
+modify it under the terms of the GNU General Public License
+as published by the Free Software Foundation; either version 2
+of the License, or (at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+
+"""
+
+import gtk
+import os
+import sys
+import string
+
+def do_exit(button):
+        gtk.mainquit()
+
+def do_dialing(win,event):
+	os.system("dtmfdial '"+dialbutton.children()[0].get()[6:]+"'")
+
+win = gtk.GtkWindow()
+win.connect("key_press_event",do_dialing)
+
+vbox = gtk.GtkVBox()
+dialbutton = gtk.GtkButton("Dial:\n")
+dialbutton.connect("button_press_event",do_dialing)
+dialbutton.show()
+vbox.add(dialbutton)
+
+table = gtk.GtkTable(3, 4, gtk.FALSE)
+table.set_row_spacings(5)
+table.set_col_spacings(5)
+table.set_border_width(10)
+table.show()
+
+items = [' \n1', 'ABC\n2', 'DEF\n3', 'GHI\n4', 'JKL\n5', 'MNO\n6', 'PRS\n7', 'TUV\n8', 'WXY\n9', '*', 'OPER\n0', '#']
+
+button = items[:]
+i = 0
+for d in items:
+	button[i] = gtk.GtkButton(d)
+	button[i].connect("clicked",
+			  lambda _b: dialbutton.children()[0].set_text(dialbutton.children()[0].get()+_b.children()[0].get()[-1]))
+	y,x = divmod(i, 3)
+	table.attach(button[i], x,x+1, y,y+1)
+	button[i].show()
+	i = i + 1
+vbox.add(table)
+frame = gtk.GtkHBox()
+frame.show()
+button = gtk.GtkButton("Clear")
+button.connect("clicked", lambda _b: dialbutton.children()[0].set_text("Dial:\n"))
+button.show()
+frame.add(button)
+button = gtk.GtkButton("Exit")
+button.connect("clicked", do_exit)
+button.show()
+frame.add(button)
+vbox.add(frame)
+vbox.show()
+win.add(vbox)
+win.show()
+gtk.mainloop()
diff -urN dtmfdial_0.2/usr/lib/menu/xdial dtmfdial_0.2-rjr2/usr/lib/menu/xdial
--- dtmfdial_0.2/usr/lib/menu/xdial	Wed Dec 31 19:00:00 1969
+++ dtmfdial_0.2-rjr2/usr/lib/menu/xdial	Tue Jan 22 18:44:02 2002
@@ -0,0 +1 @@
+?package(dtmfdial):needs="x11" section="Audio" title="xdial" command="xdial"
